[Pharo-dev] [ANN] PunQLite - a new NoSQL wrapper for Pharo

Masashi UMEZAWA masashi.umezawa at gmail.com
Tue Dec 24 06:40:21 EST 2013


Hi Sergi,

Thank you for trying to install PunQLite.
Actually, I've also found this error happening when I try to install
PunQLite to the latest Pharo 3.0 beta image (30659).

I've originally developed PunQLite on Pharo 3.0 alpha (30487) image.
So I think some changes occurred between them.

The error seems to be raised on kernel classes. Anyway, I've already
reported the issue to the BTS.
https://pharo.fogbugz.com/f/cases/12488/NBExternalTypeValue-ofType-float-causes-error

Regards,

2013/12/24 Sergi Reyner <sergi.reyner at gmail.com>:
>> 2013/12/24 Masashi UMEZAWA <masashi.umezawa at gmail.com>
>>>
>>> Hi all,
>>>
>>> I've developed PunQLite. UnQLite NoSQL database binding for Pharo.
>>> https://github.com/mumez/PunQLite
>>> http://smalltalkhub.com/#!/~MasashiUmezawa/PunQLite
>
>
> Looks pretty cool, and I may have a couple of uses for it already! However,
> I get this when trying to load it on a fresh 30659 image:
>
> IncompatibleLayoutConfig: Class with ByteLayout cannot be extended as slot.
>
> Cheers,
> Sergi
>
-- 
[:masashi | ^umezawa]




More information about the Pharo-dev mailing list